libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.309. __nv_umul24

Prototype:

    i32 @__nv_umul24(i32 %x, i32 %y)

Description:

Calculate the least significant 32 bits of the product of the least significant 24 bits of `x` and `y`. The high order 8 bits of `x` and `y` are ignored.

Returns:

Returns the least significant 32 bits of the product `x` * `y`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes